
from setuptools import setup
setup(**{'name': 'pkgsettings', 'author': 'Niels Lensink', 'author_email': 'niels.lenssink@kpn.com', 'include_package_data': True, 'long_description': "pkgsettings\n===========\n\n[![build-status-image]][travis]\n[![coverage-status-image]][codecov]\n[![pypi-version]][pypi]\n\nGoal\n----\n\nThe goal of this package is to offer an easy, generic and extendable way\nof configuring a package.\n\nInstallation\n------------\n\n.. code-block:: bash\n\n    $ pip install pkgsettings\n\nUsage\n-----\n\n.. code-block:: python\n\n    from pkgsettings import Settings\n\n    # Create the settings object for your package to use\n    settings = Settings()\n\n    # Now lets defined the default settings\n    settings.configure(hello='World', debug=False)\n\nBy calling the configure you actually inject a `layer` of settings.\nWhen requesting a setting it will go through all layers until it finds the\nrequested key.\n\nNow if someone starts using your package it can easily modify the active\nsettings of your package by calling the configure again.\n\n.. code-block:: python\n\n    from my_awesome_package.conf import settings\n\n    # Lets change the configuration here\n    settings.configure(debug=True)\n\n\nNow from within your package you can work with the settings like so:\n\n.. code-block:: python\n\n    from conf import settings\n\n    print(settings.debug) # This will print: True\n    print(settings.hello) # This will print: World\n\n\n\n[build-status-image]: https://secure.travis-ci.org/kpn-digital/pkgsettings.svg?branch=master\n[travis]: http://travis-ci.org/kpn-digital/pkgsettings?branch=master\n[coverage-status-image]: https://img.shields.io/codecov/c/github/kpn-digital/pkgsettings/master.svg\n[codecov]: http://codecov.io/github/kpn-digital/pkgsettings?branch=master\n[pypi-version]: https://img.shields.io/pypi/v/pkgsettings.svg\n[pypi]: https://pypi.python.org/pypi/pkgsettings\n\n", 'url': 'ssh://git@github.com:kpn-digital/pkgsettings.git', 'version': '0.9.0', 'zip_safe': False, 'install_requires': ['py-pkgversion'], 'packages': ['tests', 'pkgsettings'], 'classifiers': ['Development Status :: 5 - Production/Stable', 'Environment :: Web Environment', 'Intended Audience :: Developers', 'Operating System :: OS Independent', 'Programming Language :: Python', 'Programming Language :: Python :: 2', 'Programming Language :: Python :: 2.7', 'Topic :: Internet :: WWW/HTTP'], 'tests_require': ['tox'], 'description': 'Python package to ease the configuration of packages'})
